bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#5518: >=emacs-23.1 fails to build on ARM EABI under GNU/Linux


From: Chong Yidong
Subject: bug#5518: >=emacs-23.1 fails to build on ARM EABI under GNU/Linux
Date: Thu, 18 Feb 2010 05:42:24 -0500
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.92 (gnu/linux)

Andreas Schwab <address@hidden> writes:

> Chong Yidong <address@hidden> writes:
>
>> + #ifdef GNU_LINUX
>> + #define LINKER $(CC) -nostdlib -lgcc_s
>> + #endif
>
> You should put that in LIB_GCC.

Something like this?

*** src/m/arm.h 2010-01-13 08:35:10 +0000
--- src/m/arm.h 2010-02-18 10:40:44 +0000
***************
*** 36,40 ****
--- 36,45 ----
  
  #define NO_REMAP
  
+ #ifdef GNU_LINUX
+ #define LIB_GCC -lgcc_s
+ #endif
+ 
+ 
  /* arch-tag: 07856f0c-f0c8-4bd8-99af-0b7fa1e5ee42
     (do not change this comment) */







reply via email to

[Prev in Thread] Current Thread [Next in Thread]